class UR_Game extends UTCTFGame_Content;

function StartHumans()
{
	local PlayerController P;

	foreach WorldInfo.AllControllers(class'PlayerController', P)
	{
		if (P.Pawn == None)
		{
			if ( bGameEnded )
			{
				return; // telefrag ended the game with ridiculous frag limit
			}
			else if (P.CanRestartPlayer())
			{
				RestartPlayer(P);
				UR_PlayerController(P).ShowClassMenu();
			}
		}
	}
}

DefaultProperties
{
	PlayerControllerClass=Class'UnrealRider.UR_PlayerController'
	DefaultPawnClass=Class'UnrealRider.UR_Pawn'
	HUDType=Class'UnrealRider.UR_HUD'
	DefaultInventory.Empty
	bAllowTranslocator = false
	bAllowHoverboard = true
}