//-----------------------------------------------------------
//
//  - UnrealRider -  UR_ShieldGeneratorEvent
//  Written/tested by Erwan Allain (zall1@hotmail.com)
//
//  event thrown when a generator change its state
//
//-----------------------------------------------------------
class UR_ScoreFlagEvent extends SequenceEvent;

function notifyScoreEvent(name EventType, UR_ShieldVolume UR_SG)
{
        local array<int> ActivateIndices;
        local int i;

        for (i = 0; i < OutputLinks.length; i++)
                if (EventType == name(OutputLinks[i].LinkDesc))
                        ActivateIndices[ActivateIndices.length] = i;

        if (ActivateIndices.length == 0)
                ScriptLog("Not activating" @ self @ "for event" @ EventType @ "because there are no matching outputs");
        else
          CheckActivate(Originator, UR_SG, false, ActivateIndices);

}

defaultproperties
{
   bPlayerOnly=False
   OutputLinks(0)=(LinkDesc="score")
   ObjClassVersion=2
   MaxTriggerCount=0
   ObjName="ScoreFlagEvent"
   ObjCategory="UR_Event"
}