class UR_Deployable_Mine extends UTDeployableEMPMine;

static function bool DeployablesNearby(Actor MyActor, vector MyLocation, float CheckRadiusSq)
{
	return false;
}

simulated function bool AllowSwitchTo(Weapon NewWeapon)
{
	return true;
}

reliable client function ClientWeaponSet(bool bOptionalSet)
{
	local PlayerController PC;

	if (bDebugWeapon)
	{
		LogInternal("---"@self$"."$GetStateName()$".ClientWeaponSet()");
	}

	if (Instigator != None)
	{
		PC = PlayerController(Instigator.Controller);
		if ( PC != None && LocalPlayer(PC.Player) != none )
		{
			PC.FOVAngle = PC.DefaultFOV;
		}
	}
	
	// If weapon's instigator isn't replicated to client, wait for it in PendingClientWeaponSet state
	if( Instigator == None )
	{
		//WeaponLog("Instigator == None, going to PendingClientWeaponSet", "Weapon::ClientWeaponSet");
		GotoState('PendingClientWeaponSet');
		return;
	}

	// If weapon's instigator isn't replicated to client, wait for it in PendingClientWeaponSet state
	if( InvManager == None )
	{
		//WeaponLog("InvManager == None, going to PendingClientWeaponSet", "Weapon::ClientWeaponSet");
		GotoState('PendingClientWeaponSet');
		return;
	}

	InvManager.ClientWeaponSet(Self, bOptionalSet);
}

DefaultProperties
{
	AmmoCount=3
	LockerAmmoCount=3
	MaxAmmoCount=6
	ItemName="Land Mine"
	PickupMessage="Land Mines"
	bCanThrow=False
	InventoryGroup=2
	DeployedActorClass=Class'UnrealRider.UR_DeployedActor_Mine'
}