class UR_Deployable_Shield extends UTDeployableEnergyShield;

static function bool DeployablesNearby(Actor MyActor, vector MyLocation, float CheckRadiusSq)
{
	//Over-ridden. Can deploy shields anywhere.
}

simulated function bool AllowSwitchTo(Weapon NewWeapon)
{
	return true;
}

reliable client function ClientWeaponSet(bool bOptionalSet)
{
	local PlayerController PC;

	if (bDebugWeapon)
	{
		LogInternal("---"@self$"."$GetStateName()$".ClientWeaponSet()");
	}

	if (Instigator != None)
	{
		PC = PlayerController(Instigator.Controller);
		if ( PC != None && LocalPlayer(PC.Player) != none )
		{
			PC.FOVAngle = PC.DefaultFOV;
		}
	}
	
	// If weapon's instigator isn't replicated to client, wait for it in PendingClientWeaponSet state
	if( Instigator == None )
	{
		//WeaponLog("Instigator == None, going to PendingClientWeaponSet", "Weapon::ClientWeaponSet");
		GotoState('PendingClientWeaponSet');
		return;
	}

	// If weapon's instigator isn't replicated to client, wait for it in PendingClientWeaponSet state
	if( InvManager == None )
	{
		//WeaponLog("InvManager == None, going to PendingClientWeaponSet", "Weapon::ClientWeaponSet");
		GotoState('PendingClientWeaponSet');
		return;
	}

	InvManager.ClientWeaponSet(Self, bOptionalSet);
}

DefaultProperties
{
	AmmoCount=1
	LockerAmmoCount=1
	MaxAmmoCount=2
	ItemName="Energy Shield"
	PickupMessage="Energy Shield"
	bCanThrow=False
	InventoryGroup=2
}