class UR_DmgType_LandMine extends UTDmgType_Burning;

static function SpawnHitEffect(Pawn P, float Damage, vector Momentum, name BoneName, vector HitLocation)
{
	local UTEmit_VehicleHit BF;

	if ( Vehicle(P) != None )
	{
		BF = P.spawn(class'UTEmit_VehicleHit',P,, HitLocation, rotator(Momentum));
		BF.AttachTo(P, BoneName);
	}
	else
	{
		Super.SpawnHitEffect(P, Damage, Momentum, BoneName, HitLocation);
	}
}

DefaultProperties
{
   DeathString="`o trod on `k's mine."
   FemaleSuicide="`o didn't step carefully."
   MaleSuicide="`o didn't step carefully."
   KDamageImpulse=100000.000000
   KDeathUpKick=20000.000000
   bThrowRagdoll=True
   GibPerterbation=0.150000
   AlwaysGibDamageThreshold=99
   DamageWeaponClass=Class'UTGame.UTWeap_RocketLauncher'
   NodeDamageScaling=1.100000
}